Bug 124829 - nfs service freezes the whole system
Summary: nfs service freezes the whole system
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-30 21:35 UTC by Ossama Khayat
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:21:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of terminal starting nfs and output of it (108.66 KB, image/png)
2004-05-30 21:37 UTC, Ossama Khayat
no flags Details
output of 'service --status-all' (2.24 KB, text/plain)
2004-05-30 21:37 UTC, Ossama Khayat
no flags Details
dmesg output (10.90 KB, text/plain)
2004-05-30 21:37 UTC, Ossama Khayat
no flags Details
lspci output (1.42 KB, text/plain)
2004-05-30 21:38 UTC, Ossama Khayat
no flags Details

Description Ossama Khayat 2004-05-30 21:35:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Starting nfs as 'service nfs start' would freeze the whole system
after almost 3 minutes or less.
I can confirm that i'm using Fedora Core 2 for almost 10 days and
never had this issue at all.
I'm running FC2 on my laptop which is a Toshiba Satellite 2450-S203
with 1GB of RAM/2.8Ghz/nVidia.
I couldn't reproduce the same on another machine (desktop).
I repeated starting the service three times, and it always freezes the
whole system.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-22

How reproducible:
Always

Steps to Reproduce:
1. issue 'service nfs start'
2. wait for 3 minutes

Actual Results:  I get an error on rpc/quota of nfs, but still works
as you see in the screenshot. After less than 3 minutes, the whole
system freezes.

Expected Results:  Not Freeze!

Additional info:

This is a clean install on my laptop that I always used since RH9.
Never had this issue before on any linux I used. Also, if I don't
start the service I won't get this problem at all.

Comment 1 Ossama Khayat 2004-05-30 21:37:04 UTC
Created attachment 100707 [details]
Screenshot of terminal starting nfs and output of it

Comment 2 Ossama Khayat 2004-05-30 21:37:40 UTC
Created attachment 100708 [details]
output of 'service --status-all'

Comment 3 Ossama Khayat 2004-05-30 21:37:58 UTC
Created attachment 100709 [details]
dmesg output

Comment 4 Ossama Khayat 2004-05-30 21:38:15 UTC
Created attachment 100710 [details]
lspci output

Comment 5 Steve Dickson 2004-06-01 18:37:12 UTC
The fact that all of nfs daemons died with "Connection Refused"
tells me its probably a firwall issue... Try service iptables stop
to see if that helps

Comment 6 Ossama Khayat 2004-06-02 21:04:33 UTC
iptables weren't running at all when I used that. Still the problem
exists. Is there any more output/diagnostics I need to provide?

Comment 7 Steve Dickson 2004-06-03 10:30:22 UTC
Can you turn on the AltSysReq keys (by echo 1 > /proc/sys/kernel/sysrq)
then typing Alt-SysReq-P to see what the processor is doing?

Comment 8 Ossama Khayat 2004-06-05 21:12:05 UTC
As soon as I press SysReq key (with Alt ofcourse) I get a screenshot
of my desktop.
Sorry, don't know how/if this can be disabled.

Comment 9 Douglas Furlong 2004-09-27 13:07:16 UTC
Red Hate -> Preferences -> Keyboard shortcuts.

Then delete the option for "Take a screen shot of a window".

Doug

Comment 10 Steve Dickson 2004-10-14 21:27:10 UTC
Does this still happen with more recent FC2 or FC3 kernels?

Comment 11 Dave Jones 2005-04-16 05:21:27 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.